$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.102.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.102.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '950972EA0E3FFF4EE25C75DFB54EA1E396A2FCCE11B46F60081CF4F33CFF44CC'
  checksumType = 'sha256'
  checksum64 = '950972EA0E3FFF4EE25C75DFB54EA1E396A2FCCE11B46F60081CF4F33CFF44CC'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.102-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
